curl --location '/api/AlerthubService/send/messages' \
--header 'ApiUserID: demo_user_001' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.demo.token' \
--header 'RequestId: trx_001' \
--header 'InstanceID: INS123456' \
--header 'ScheduledDateTime: dd/mm/yyyy,hh:mm AM/PM (Future schedule)' \
--header 'IsSafeMode: false' \
--header 'IntervelBetweenMsg: 0' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "{{Recipient-Phone-Number}}",
"type": "interactive",
"interactive": {
"type": "catalog_message",
"body": {
"text": "Hello! Thanks for your interest. Ordering is easy. Just visit our catalog and add items to purchase."
},
"action": {
"name": "catalog_message",
"parameters": {
"thumbnail_product_retailer_id": "2lc20305pt"
}
},
"footer": {
"text": "Best grocery deals on WhatsApp!"
}
}
}'